/* -*-C-*- xmath.h */
/**********************************************************************/
/******************************* xmath ********************************/
/**********************************************************************/

/* $Id: xmath.h,v 1.6 1992/10/08 01:42:01 beebe Exp beebe $*/

#ifndef XMATH_H_DEFINED_
#define XMATH_H_DEFINED_

/***********************************************************************
This file includes the system math.h file.
***********************************************************************/

#if HAVE_MATH_H
#include <math.h>
#else /* NOT HAVE_MATH_H */

/* Almost all C implementations have math.h already, so this section
is not likely to be used.  We include function prototypes for
everything that Standard C requires, and arrange a compilation error
to catch use of this section so that HUGE_VAL can be defined. */

#ifndef HUGE_VAL
? You need to provide a definition of HUGE_VAL in xmath.h for this section.
#endif /* HUGE_VAL */

double		acos ARGS((double));
double		asin ARGS((double));
double		atan ARGS((double));
double		atan2 ARGS((double, double));
double		ceil ARGS((double));
double		cos ARGS((double));
double		cosh ARGS((double));
double		exp ARGS((double));
double		fabs ARGS((double));
double		floor ARGS((double));
double		fmod ARGS((double, double));
double		frexp ARGS((double, int *));
double		ldexp ARGS((double, int));
double		log ARGS((double));
double		log10 ARGS((double));
double		modf ARGS((double, double *));
double		pow ARGS((double, double));
double		sin ARGS((double));
double		sinh ARGS((double));
double		sqrt ARGS((double));
double		tan ARGS((double));
double		tanh ARGS((double));

/* Additional older functions traditionally declared in math.h */
double		atof ARGS((const char *));
double		erf ARGS((double));
double		erfc ARGS((double));
double		gamma ARGS((double));
double		hypot ARGS((double, double));
double		j0 ARGS((double));
double		j1 ARGS((double));
double		jn ARGS((int, double));
double		y0 ARGS((double));
double		y1 ARGS((double));
double		yn ARGS((int, double));

#endif /* HAVE_MATH_H */

#endif /* XMATH_H_DEFINED_ */
